=== debian/changelog ===
caml2html (1.4.1-3build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:39:15 +0000

caml2html (1.4.1-3) unstable; urgency=low

  * Team upload
  * Recompile with OCaml 3.12.1 (no changes)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Nov 2011 18:31:16 +0100

caml2html (1.4.1-2) unstable; urgency=low

  * Team upload
  * Rebuild with OCaml 3.12.0 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Apr 2011 08:41:52 +0200

caml2html (1.4.1-1) unstable; urgency=low

  * Initial release. (Closes: #605741)

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 03 Dec 2010 00:45:09 +0100
