=== debian/control ===
Source: caml2html
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  camlmix
Standards-Version: 3.9.2
Homepage: http://martin.jambon.free.fr/caml2html.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/caml2html.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/caml2html.git

Package: caml2html
Architecture: all
Depends: ${ocaml:Depends}, ${misc:Depends}
Description: HTML and LaTeX colored syntax from OCaml source files
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.

Package: libcaml2html-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: HTML and LaTeX colored syntax from OCaml source files
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.
 .
 This package contains the library.

Package: libcaml2html-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: HTML and LaTeX colored syntax from OCaml source files
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.
 .
 This package contains the shared runtime library.
