=== debian/watch ===
version=3
http://martin.jambon.free.fr/caml2html.html caml2html-([\d\.]*)\.tar\.gz
