## caml2html 1.4.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.4.1
+VERSION = 1.4.3
 export VERSION
 
 ifndef PREFIX
