=== debian/changelog ===
caml2html (1.4.3-1build3) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 15:53:00 +0000

caml2html (1.4.3-1build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 21:34:53 -0600

caml2html (1.4.3-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:01:43 +0000

caml2html (1.4.3-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * unapply debian-changes patch in master
  * update watch (thanks to Bart Martens)
  * bump debhelper compat and standards version
  * update homepage
  * add myself as uploader
  * update dependencies, change to architecture any and native compilation
  * update rules, *install files
  * update copyright
  * remove dubious debian-changes patch, 
    save part for ocamldoc fix in new patch fix-ocamldoc-html-tags
  * improve man page

 -- Hendrik Tews <hendrik@askra.de>  Fri, 31 May 2013 16:22:48 +0200
