=== debian/control ===
Source: caml2html
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Hendrik Tews <hendrik@askra.de>
Build-Depends:
  debhelper (>= 9),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.11.1-3~),
  ocaml-best-compilers,
  camlp4,
  ocaml-findlib,
  libfindlib-ocaml-dev,
  libocamlnet-ocaml-dev,
  libmikmatch-ocaml-dev,
  camlmix
Standards-Version: 3.9.4
Homepage: http://mjambon.com/caml2html.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/caml2html.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/caml2html.git

Package: caml2html
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Description: HTML and LaTeX colored syntax from OCaml source files - executable
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.
 .
 This package contains the caml2html executable.

Package: libcaml2html-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: HTML and LaTeX colored syntax from OCaml source files - dev files
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.
 .
 This package contains the development files for programming with the
 library.

Package: libcaml2html-ocaml
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: HTML and LaTeX colored syntax from OCaml source files - plugins
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.
 .
 This package contains the shared runtime library.
