=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) OCAMLOPT=ocamlopt.opt OCAMLC=ocamlc.opt opt bytelib
else
	$(MAKE) byte bytelib
	mv caml2html.byte caml2html
endif
	./caml2html -help > caml2html-help
	camlmix -o caml2html.html caml2html.html.mlx


.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'BINDIR=$(DESTDIR)/usr/bin'


.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing
