=== debian/changelog ===
caml2html (1.4.4-3build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:43:19 +0200

caml2html (1.4.4-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 23:07:17 +0100

caml2html (1.4.4-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Update watch file
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields: Repository-Browse
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 07:50:27 +0200

caml2html (1.4.4-2) unstable; urgency=medium

  * Team upload
  * Fix build with OCaml 4.07

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Aug 2019 11:22:23 +0200

caml2html (1.4.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Remove camlp4 and lib{ocamlnet,mikmatch}-ocaml-dev from Build-Depends
  * Update Vcs-*
  * Remove Hendrik from Uploaders
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Aug 2019 02:40:09 +0200

caml2html (1.4.3-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with OCaml 4.05
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 00:49:36 +0200
