=== debian/control ===
--- 
+++ 
@@ -1,29 +1,26 @@
 Source: caml2html
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Hendrik Tews <hendrik@askra.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
-  debhelper (>= 9),
-  dh-ocaml (>= 0.9~),
-  ocaml-nox (>= 3.11.1-3~),
+  debhelper-compat (= 13),
+  dh-ocaml,
+  ocaml,
   ocaml-best-compilers,
-  camlp4,
   ocaml-findlib,
   libfindlib-ocaml-dev,
-  libocamlnet-ocaml-dev,
-  libmikmatch-ocaml-dev,
   camlmix
-Standards-Version: 3.9.4
-Homepage: http://mjambon.com/caml2html.html
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/caml2html.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/caml2html.git
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://github.com/mjambon/caml2html
+Vcs-Git: https://salsa.debian.org/ocaml-team/caml2html.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/caml2html
 
 Package: caml2html
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Description: HTML and LaTeX colored syntax from OCaml source files - executable
@@ -37,7 +34,7 @@
 Package: libcaml2html-ocaml-dev
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
@@ -54,7 +51,7 @@
 Package: libcaml2html-ocaml
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
