=== debian/watch ===
version=4
https://github.com/mjambon/caml2html/tags .*/archive/refs/tags/v(.*)\.tar\.gz
